Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.utils.progress
Class AbstractProgressMonitor

    java.lang.Object
      org.mindswap.pellet.utils.progress.AbstractProgressMonitor

All Implemented Interfaces:
  ProgressMonitor

Direct Known Subclasses:
  ConsoleProgressMonitor, SilentProgressMonitor, SwingProgressMonitor

    public abstract class AbstractProgressMonitor

extends java.lang.Object
implements ProgressMonitor

Title:

Description:

Copyright: Copyright (c) 2006

Company: Clark & Parsia, LLC.

Author:
  Evren Sirin

Constructor Summary
`AbstractProgressMonitor()`
`AbstractProgressMonitor(int length)`

Method Summary
`int` | `getProgress()`
`int` | `getProgressLength()`
`java.lang.String` | `getProgressMessage()`
`int` | `getProgressPercent()`
`java.lang.String` | `getProgressTitle()`
`void` | `incrementProgress()`
`boolean` | `isCanceled()`
`void` | `setProgress(int progress)`
`void` | `setProgressLength(int progressLength)`
`void` | `setProgressMessage(java.lang.String progressMessage)`
`void` | `setProgressTitle(java.lang.String progressTitle)`
`void` | `taskFinished()`
`void` | `taskStarted()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractProgressMonitor

    public AbstractProgressMonitor()

### AbstractProgressMonitor

    public AbstractProgressMonitor(int length)

Method Detail

### getProgress

    public int getProgress()

  Specified by:
    `getProgress` in interface `ProgressMonitor`

### getProgressLength

    public int getProgressLength()

### getProgressMessage

    public java.lang.String getProgressMessage()

### getProgressPercent

    public int getProgressPercent()

  Specified by:
    `getProgressPercent` in interface `ProgressMonitor`

### getProgressTitle

    public java.lang.String getProgressTitle()

### incrementProgress

    public void incrementProgress()

  Specified by:
    `incrementProgress` in interface `ProgressMonitor`

### isCanceled

    public boolean isCanceled()

  Specified by:
    `isCanceled` in interface `ProgressMonitor`

### setProgress

    public void setProgress(int progress)

  Specified by:
    `setProgress` in interface `ProgressMonitor`

### setProgressLength

    public void setProgressLength(int progressLength)

  Specified by:
    `setProgressLength` in interface `ProgressMonitor`

### setProgressMessage

    public void setProgressMessage(java.lang.String progressMessage)

  Specified by:
    `setProgressMessage` in interface `ProgressMonitor`

### setProgressTitle

    public void setProgressTitle(java.lang.String progressTitle)

  Specified by:
    `setProgressTitle` in interface `ProgressMonitor`

### taskFinished

    public void taskFinished()

  Specified by:
    `taskFinished` in interface `ProgressMonitor`

### taskStarted

    public void taskStarted()

  Specified by:
    `taskStarted` in interface `ProgressMonitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.